Confluence

Update Confluence sync configuration

PUT
/integrations/confluence/sync-config

Authorization

SupabaseBearer
AuthorizationBearer <token>

Supabase user access token (Authorization: Bearer JWT)

In: header

Header Parameters

x-organization-id*string

Must match the organizationId path segment

Formatuuid
x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/integrations/confluence/sync-config" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "x-organization-role: ORG_ADMIN" \  -H "Content-Type: application/json" \  -d '{    "spaceKeys": [      "string"    ]  }'
{  "organizationId": "string",  "spaceKeys": [    "string"  ],  "includeChildPages": true,  "syncScheduleCron": "string",  "enabled": true,  "lastSyncAt": "2019-08-24T14:15:22Z",  "lastSyncStatus": "string",  "lastSyncError": "string"}
{  "message": "string"}
Empty
{  "message": "string"}
{  "message": "string"}